<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-filter-unittest.GTestFilterUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-filter-unittest.GTestFilterUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-filter-unittest.GTestFilterUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-filter-unittest_1_1GTestFilterUnitTest__inherit__graph.svg" width="196" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-filter-unittest.GTestFilterUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-filter-unittest_1_1GTestFilterUnitTest__coll__graph.svg" width="196" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ace0dfd41efa0dc5c019c1e96e6ce8137"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#ace0dfd41efa0dc5c019c1e96e6ce8137">AssertSetEqual</a> (self, lhs, rhs)</td></tr>
<tr class="separator:ace0dfd41efa0dc5c019c1e96e6ce8137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd73eb79d053b0baf4aa600044c4d0e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#adcd73eb79d053b0baf4aa600044c4d0e">AssertPartitionIsValid</a> (self, set_var, list_of_sets)</td></tr>
<tr class="separator:adcd73eb79d053b0baf4aa600044c4d0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34dfc0ab056c19a6644fab9880a49c42"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a34dfc0ab056c19a6644fab9880a49c42">AdjustForParameterizedTests</a> (self, tests_to_run)</td></tr>
<tr class="separator:a34dfc0ab056c19a6644fab9880a49c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af70e720e3178314cb7ffb4268594ef2b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#af70e720e3178314cb7ffb4268594ef2b">RunAndVerify</a> (self, gtest_filter, tests_to_run)</td></tr>
<tr class="separator:af70e720e3178314cb7ffb4268594ef2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9facb1098281a67776081c772fdd78d5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a9facb1098281a67776081c772fdd78d5">RunAndVerifyWithSharding</a> (self, gtest_filter, total_shards, tests_to_run, args=None, check_exit_0=False)</td></tr>
<tr class="separator:a9facb1098281a67776081c772fdd78d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4202582f4fbc27a7e4ff9e751b1046f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#ad4202582f4fbc27a7e4ff9e751b1046f">RunAndVerifyAllowingDisabled</a> (self, gtest_filter, tests_to_run)</td></tr>
<tr class="separator:ad4202582f4fbc27a7e4ff9e751b1046f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aedf9d24243167acee87c9ddba82cc7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a5aedf9d24243167acee87c9ddba82cc7">setUp</a> (self)</td></tr>
<tr class="separator:a5aedf9d24243167acee87c9ddba82cc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeef08240778b82270e432ce3ab1186eb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#aeef08240778b82270e432ce3ab1186eb">testDefaultBehavior</a> (self)</td></tr>
<tr class="separator:aeef08240778b82270e432ce3ab1186eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bde3274cf0a76dc6914a4781d8b6429"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a5bde3274cf0a76dc6914a4781d8b6429">testDefaultBehaviorWithShards</a> (self)</td></tr>
<tr class="separator:a5bde3274cf0a76dc6914a4781d8b6429"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa447047f82973a4ef02e20d5cb2d19"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#aeaa447047f82973a4ef02e20d5cb2d19">testEmptyFilter</a> (self)</td></tr>
<tr class="separator:aeaa447047f82973a4ef02e20d5cb2d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06eb05518484509b13dc139aafd610ce"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a06eb05518484509b13dc139aafd610ce">testBadFilter</a> (self)</td></tr>
<tr class="separator:a06eb05518484509b13dc139aafd610ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fb67be78a3c92dcbae64479b220fe0f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a2fb67be78a3c92dcbae64479b220fe0f">testFullName</a> (self)</td></tr>
<tr class="separator:a2fb67be78a3c92dcbae64479b220fe0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b3267ec5eb1a4d335d2f969d28329dd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a6b3267ec5eb1a4d335d2f969d28329dd">testUniversalFilters</a> (self)</td></tr>
<tr class="separator:a6b3267ec5eb1a4d335d2f969d28329dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac67334a27bf7aaf4d817d41e6bcd4469"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#ac67334a27bf7aaf4d817d41e6bcd4469">testFilterByTestCase</a> (self)</td></tr>
<tr class="separator:ac67334a27bf7aaf4d817d41e6bcd4469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5665345aa2e94412fd65b19bc5077342"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a5665345aa2e94412fd65b19bc5077342">testFilterByTest</a> (self)</td></tr>
<tr class="separator:a5665345aa2e94412fd65b19bc5077342"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada479753ed1c6007647252922f713ffc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#ada479753ed1c6007647252922f713ffc">testFilterDisabledTests</a> (self)</td></tr>
<tr class="separator:ada479753ed1c6007647252922f713ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc13581aeb86a199706fd2592b5b5e5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a6bc13581aeb86a199706fd2592b5b5e5">testWildcardInTestCaseName</a> (self)</td></tr>
<tr class="separator:a6bc13581aeb86a199706fd2592b5b5e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c51a39e4e5578dc6e0a0dd47c2875c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a57c51a39e4e5578dc6e0a0dd47c2875c">testWildcardInTestName</a> (self)</td></tr>
<tr class="separator:a57c51a39e4e5578dc6e0a0dd47c2875c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a7d87e91ab92004b55affc8a0f76305"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a3a7d87e91ab92004b55affc8a0f76305">testFilterWithoutDot</a> (self)</td></tr>
<tr class="separator:a3a7d87e91ab92004b55affc8a0f76305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2e7e1424bd6be9cbd15a401017c442"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a7b2e7e1424bd6be9cbd15a401017c442">testTwoPatterns</a> (self)</td></tr>
<tr class="separator:a7b2e7e1424bd6be9cbd15a401017c442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab0836fe1e7c7c6af6b8b94f08475d3b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#aab0836fe1e7c7c6af6b8b94f08475d3b">testThreePatterns</a> (self)</td></tr>
<tr class="separator:aab0836fe1e7c7c6af6b8b94f08475d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8484038c90290d2a4a50a3ab3601436e"><td class="memItemLeft" align="right" valign="top"><a id="a8484038c90290d2a4a50a3ab3601436e"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testNegativeFilters</b> (self)</td></tr>
<tr class="separator:a8484038c90290d2a4a50a3ab3601436e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfc062fbcc396bfaa94184e10e3ae39"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a3cfc062fbcc396bfaa94184e10e3ae39">testFlagOverridesEnvVar</a> (self)</td></tr>
<tr class="separator:a3cfc062fbcc396bfaa94184e10e3ae39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48fd50fa58d23ba0521a9388aea0c688"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a48fd50fa58d23ba0521a9388aea0c688">testShardStatusFileIsCreated</a> (self)</td></tr>
<tr class="separator:a48fd50fa58d23ba0521a9388aea0c688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c436b2599ace8d6e32d17fd08a98178"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a7c436b2599ace8d6e32d17fd08a98178">testShardStatusFileIsCreatedWithListTests</a> (self)</td></tr>
<tr class="separator:a7c436b2599ace8d6e32d17fd08a98178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8998f6f4842fa2cbde0428fa0c4ba437"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html#a8998f6f4842fa2cbde0428fa0c4ba437">testShardingWorksWithDeathTests</a> (self)</td></tr>
<tr class="separator:a8998f6f4842fa2cbde0428fa0c4ba437"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests the env variable or the command line flag to filter tests.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a34dfc0ab056c19a6644fab9880a49c42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34dfc0ab056c19a6644fab9880a49c42">&#9670;&nbsp;</a></span>AdjustForParameterizedTests()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.AdjustForParameterizedTests </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tests_to_run</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Adjust tests_to_run in case value parameterized tests are disabled.</pre> 
</div>
</div>
<a id="adcd73eb79d053b0baf4aa600044c4d0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcd73eb79d053b0baf4aa600044c4d0e">&#9670;&nbsp;</a></span>AssertPartitionIsValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.AssertPartitionIsValid </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>set_var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>list_of_sets</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Asserts that list_of_sets is a valid partition of set_var.</pre> 
</div>
</div>
<a id="ace0dfd41efa0dc5c019c1e96e6ce8137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace0dfd41efa0dc5c019c1e96e6ce8137">&#9670;&nbsp;</a></span>AssertSetEqual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.AssertSetEqual </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Asserts that two sets are equal.</pre> 
</div>
</div>
<a id="af70e720e3178314cb7ffb4268594ef2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af70e720e3178314cb7ffb4268594ef2b">&#9670;&nbsp;</a></span>RunAndVerify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.RunAndVerify </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>gtest_filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tests_to_run</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Checks that the binary runs correct set of tests for a given filter.</pre> 
</div>
</div>
<a id="ad4202582f4fbc27a7e4ff9e751b1046f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4202582f4fbc27a7e4ff9e751b1046f">&#9670;&nbsp;</a></span>RunAndVerifyAllowingDisabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.RunAndVerifyAllowingDisabled </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>gtest_filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tests_to_run</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Checks that the binary runs correct set of tests for the given filter.

Runs googletest-filter-unittest_ with the given filter, and enables
disabled tests. Verifies that the right set of tests were run.

Args:
  gtest_filter: A filter to apply to the tests.
  tests_to_run: A set of tests expected to run.
</pre> 
</div>
</div>
<a id="a9facb1098281a67776081c772fdd78d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9facb1098281a67776081c772fdd78d5">&#9670;&nbsp;</a></span>RunAndVerifyWithSharding()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.RunAndVerifyWithSharding </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>gtest_filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>total_shards</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tests_to_run</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>args</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>check_exit_0</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Checks that binary runs correct tests for the given filter and shard.

Runs all shards of googletest-filter-unittest_ with the given filter, and
verifies that the right set of tests were run. The union of tests run
on each shard should be identical to tests_to_run, without duplicates.
If check_exit_0, .

Args:
  gtest_filter: A filter to apply to the tests.
  total_shards: A total number of shards to split test run into.
  tests_to_run: A set of tests expected to run.
  args   :      Arguments to pass to the to the test binary.
  check_exit_0: When set to a true value, make sure that all shards
                return 0.
</pre> 
</div>
</div>
<a id="a5aedf9d24243167acee87c9ddba82cc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aedf9d24243167acee87c9ddba82cc7">&#9670;&nbsp;</a></span>setUp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.setUp </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Sets up test case.

Determines whether value-parameterized tests are enabled in the binary and
sets the flags accordingly.
</pre> 
</div>
</div>
<a id="a06eb05518484509b13dc139aafd610ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06eb05518484509b13dc139aafd610ce">&#9670;&nbsp;</a></span>testBadFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testBadFilter </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests a filter that matches nothing.</pre> 
</div>
</div>
<a id="aeef08240778b82270e432ce3ab1186eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeef08240778b82270e432ce3ab1186eb">&#9670;&nbsp;</a></span>testDefaultBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testDefaultBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of not specifying the filter.</pre> 
</div>
</div>
<a id="a5bde3274cf0a76dc6914a4781d8b6429"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bde3274cf0a76dc6914a4781d8b6429">&#9670;&nbsp;</a></span>testDefaultBehaviorWithShards()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testDefaultBehaviorWithShards </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior without the filter, with sharding enabled.</pre> 
</div>
</div>
<a id="aeaa447047f82973a4ef02e20d5cb2d19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeaa447047f82973a4ef02e20d5cb2d19">&#9670;&nbsp;</a></span>testEmptyFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testEmptyFilter </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests an empty filter.</pre> 
</div>
</div>
<a id="a5665345aa2e94412fd65b19bc5077342"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5665345aa2e94412fd65b19bc5077342">&#9670;&nbsp;</a></span>testFilterByTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testFilterByTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests filtering by test name.</pre> 
</div>
</div>
<a id="ac67334a27bf7aaf4d817d41e6bcd4469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac67334a27bf7aaf4d817d41e6bcd4469">&#9670;&nbsp;</a></span>testFilterByTestCase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testFilterByTestCase </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests filtering by test case name.</pre> 
</div>
</div>
<a id="ada479753ed1c6007647252922f713ffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada479753ed1c6007647252922f713ffc">&#9670;&nbsp;</a></span>testFilterDisabledTests()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testFilterDisabledTests </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Select only the disabled tests to run.</pre> 
</div>
</div>
<a id="a3a7d87e91ab92004b55affc8a0f76305"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a7d87e91ab92004b55affc8a0f76305">&#9670;&nbsp;</a></span>testFilterWithoutDot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testFilterWithoutDot </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests a filter that has no '.' in it.</pre> 
</div>
</div>
<a id="a3cfc062fbcc396bfaa94184e10e3ae39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cfc062fbcc396bfaa94184e10e3ae39">&#9670;&nbsp;</a></span>testFlagOverridesEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testFlagOverridesEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that the filter flag overrides the filtering env. variable.</pre> 
</div>
</div>
<a id="a2fb67be78a3c92dcbae64479b220fe0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fb67be78a3c92dcbae64479b220fe0f">&#9670;&nbsp;</a></span>testFullName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testFullName </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests filtering by full name.</pre> 
</div>
</div>
<a id="a8998f6f4842fa2cbde0428fa0c4ba437"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8998f6f4842fa2cbde0428fa0c4ba437">&#9670;&nbsp;</a></span>testShardingWorksWithDeathTests()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testShardingWorksWithDeathTests </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests integration with death tests and sharding.</pre> 
</div>
</div>
<a id="a48fd50fa58d23ba0521a9388aea0c688"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48fd50fa58d23ba0521a9388aea0c688">&#9670;&nbsp;</a></span>testShardStatusFileIsCreated()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testShardStatusFileIsCreated </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that the shard file is created if specified in the environment.</pre> 
</div>
</div>
<a id="a7c436b2599ace8d6e32d17fd08a98178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c436b2599ace8d6e32d17fd08a98178">&#9670;&nbsp;</a></span>testShardStatusFileIsCreatedWithListTests()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testShardStatusFileIsCreatedWithListTests </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that the shard file is created with the "list_tests" flag.</pre> 
</div>
</div>
<a id="aab0836fe1e7c7c6af6b8b94f08475d3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab0836fe1e7c7c6af6b8b94f08475d3b">&#9670;&nbsp;</a></span>testThreePatterns()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testThreePatterns </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests filters that consist of three patterns.</pre> 
</div>
</div>
<a id="a7b2e7e1424bd6be9cbd15a401017c442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b2e7e1424bd6be9cbd15a401017c442">&#9670;&nbsp;</a></span>testTwoPatterns()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testTwoPatterns </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests filters that consist of two patterns.</pre> 
</div>
</div>
<a id="a6b3267ec5eb1a4d335d2f969d28329dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b3267ec5eb1a4d335d2f969d28329dd">&#9670;&nbsp;</a></span>testUniversalFilters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testUniversalFilters </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests filters that match everything.</pre> 
</div>
</div>
<a id="a6bc13581aeb86a199706fd2592b5b5e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bc13581aeb86a199706fd2592b5b5e5">&#9670;&nbsp;</a></span>testWildcardInTestCaseName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testWildcardInTestCaseName </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using wildcard in the test case name.</pre> 
</div>
</div>
<a id="a57c51a39e4e5578dc6e0a0dd47c2875c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57c51a39e4e5578dc6e0a0dd47c2875c">&#9670;&nbsp;</a></span>testWildcardInTestName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-filter-unittest.GTestFilterUnitTest.testWildcardInTestName </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using wildcard in the test name.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-filter-unittest.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-filter-unittest</b></li><li class="navelem"><a class="el" href="classgoogletest-filter-unittest_1_1GTestFilterUnitTest.html">GTestFilterUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
